Search for load

  1. Search 7.x for load
  2. Search 9.5.x for load
  3. Search 8.9.x for load
  4. Search 10.3.x for load
  5. Search main for load
  6. Other projects
Title Object type File name Summary
AutoloadingStorage::getCollectionName function core/lib/Drupal/Core/Config/AutoloadingStorage.php Gets the name of the current collection the storage is using.
AutoloadingStorage::listAll function core/lib/Drupal/Core/Config/AutoloadingStorage.php Gets configuration object names starting with a given prefix.
AutoloadingStorage::read function core/lib/Drupal/Core/Config/AutoloadingStorage.php Reads configuration data from the storage.
AutoloadingStorage::readMultiple function core/lib/Drupal/Core/Config/AutoloadingStorage.php Reads configuration data from the storage.
AutoloadingStorage::rename function core/lib/Drupal/Core/Config/AutoloadingStorage.php Renames a configuration object in the storage.
AutoloadingStorage::resetListCache function core/lib/Drupal/Core/Config/AutoloadingStorage.php Clears the static list cache.
AutoloadingStorage::write function core/lib/Drupal/Core/Config/AutoloadingStorage.php Writes configuration data to the storage.
AutoloadingStorage::__construct function core/lib/Drupal/Core/Config/AutoloadingStorage.php Constructs a new AutoloadingStorage.
autoload_runtime.php file ./autoload_runtime.php Includes the autoload_runtime created by the Symfony Runtime component.
BackwardsCompatibilityClassLoader class core/lib/Drupal/Core/ClassLoader/BackwardsCompatibilityClassLoader.php Adds backwards compatibility support for deprecated classes.
BackwardsCompatibilityClassLoader.php file core/lib/Drupal/Core/ClassLoader/BackwardsCompatibilityClassLoader.php
BackwardsCompatibilityClassLoader::loadClass function core/lib/Drupal/Core/ClassLoader/BackwardsCompatibilityClassLoader.php Aliases a moved class to another class, instead of actually autoloading it.
BackwardsCompatibilityClassLoader::__construct function core/lib/Drupal/Core/ClassLoader/BackwardsCompatibilityClassLoader.php
BackwardsCompatibilityClassLoaderPass class core/lib/Drupal/Core/DependencyInjection/Compiler/BackwardsCompatibilityClassLoaderPass.php Compiler pass to merge moved classes into a single container parameter.
BackwardsCompatibilityClassLoaderPass.php file core/lib/Drupal/Core/DependencyInjection/Compiler/BackwardsCompatibilityClassLoaderPass.php
BackwardsCompatibilityClassLoaderPass::process function core/lib/Drupal/Core/DependencyInjection/Compiler/BackwardsCompatibilityClassLoaderPass.php
BackwardsCompatibilityClassLoaderTest class core/tests/Drupal/KernelTests/Core/ClassLoader/BackwardsCompatibilityClassLoaderTest.php Tests Drupal\Core\ClassLoader\BackwardsCompatibilityClassLoader.
BackwardsCompatibilityClassLoaderTest.php file core/tests/Drupal/KernelTests/Core/ClassLoader/BackwardsCompatibilityClassLoaderTest.php
BackwardsCompatibilityClassLoaderTest::$modules property core/tests/Drupal/KernelTests/Core/ClassLoader/BackwardsCompatibilityClassLoaderTest.php Modules to install.
BackwardsCompatibilityClassLoaderTest::testDoctrineException function core/tests/Drupal/KernelTests/Core/ClassLoader/BackwardsCompatibilityClassLoaderTest.php Tests that the BC layer for Doctrine's AnnotationException works.
BackwardsCompatibilityClassLoaderTest::testModuleMovedClass function core/tests/Drupal/KernelTests/Core/ClassLoader/BackwardsCompatibilityClassLoaderTest.php Tests that a moved class from a module works.
BackwardsCompatibilityClassLoaderTest::testTranslationWrapper function core/tests/Drupal/KernelTests/Core/ClassLoader/BackwardsCompatibilityClassLoaderTest.php Tests that the bc layer for TranslationWrapper works.
BareHtmlPageRenderer::lazyLoadItself function core/lib/Drupal/Core/ProxyClass/Render/BareHtmlPageRenderer.php Lazy loads the real service from the container.
BaseFieldOverride::loadByName function core/lib/Drupal/Core/Field/Entity/BaseFieldOverride.php Loads a base field bundle override config entity.
BatchStorage::lazyLoadItself function core/lib/Drupal/Core/ProxyClass/Batch/BatchStorage.php Lazy loads the real service from the container.
BatchStorage::load function core/lib/Drupal/Core/ProxyClass/Batch/BatchStorage.php Loads a batch.
BatchStorage::load function core/lib/Drupal/Core/Batch/BatchStorage.php Loads a batch.
BatchStorageInterface::load function core/lib/Drupal/Core/Batch/BatchStorageInterface.php Loads a batch.
BigPipePreviewTest::testLazyLoaderPreview function core/modules/big_pipe/tests/src/FunctionalJavascript/BigPipePreviewTest.php Test preview functionality within placeholders.
BinaryFileResponseTestController::download function core/modules/system/tests/modules/binary_file_response_test/src/Controller/BinaryFileResponseTestController.php Download the file set in the relative_file_url query parameter.
BlockStorageUnitTest::loadTests function core/modules/block/tests/src/Kernel/BlockStorageUnitTest.php Tests the loading of blocks.
BootableCommandTrait::$classLoader property core/lib/Drupal/Core/Command/BootableCommandTrait.php The class loader.
BootableCommandTraitTest::$classLoader property core/tests/Drupal/Tests/Core/Command/BootableCommandTraitTest.php The class loader, which is needed to boot Drupal.
BulkForm::loadEntityFromBulkFormKey function core/modules/views/src/Plugin/views/field/BulkForm.php Loads an entity based on a bulk form key.
BulkFormTest::loadNode function core/modules/node/tests/src/Functional/Views/BulkFormTest.php Load the specified node from the storage.
CacheabilityMetadataConfigOverride::loadOverrides function core/modules/config/tests/config_override_integration_test/src/CacheabilityMetadataConfigOverride.php Returns config overrides.
CacheCollector::$cacheLoaded property core/lib/Drupal/Core/Cache/CacheCollector.php Indicates if the collected cache was already loaded.
CacheCollector::$loadedData property core/lib/Drupal/Core/Cache/CacheCollector.php The cache item's data as loaded during this request, or NULL if none.
CacheCollector::lazyLoadCache function core/lib/Drupal/Core/Cache/CacheCollector.php Loads the cache if not already done.
CacheCollectorHelper::setLoadedData function core/tests/Drupal/Tests/Core/Cache/CacheCollectorHelper.php Simulates having loaded a cache item with the given data, for unit tests.
CacheTagPreloadSubscriber class core/lib/Drupal/Core/Cache/EventSubscriber/CacheTagPreloadSubscriber.php Preloads frequently used cache tags.
CacheTagPreloadSubscriber.php file core/lib/Drupal/Core/Cache/EventSubscriber/CacheTagPreloadSubscriber.php
CacheTagPreloadSubscriber::getSubscribedEvents function core/lib/Drupal/Core/Cache/EventSubscriber/CacheTagPreloadSubscriber.php
CacheTagPreloadSubscriber::onRequest function core/lib/Drupal/Core/Cache/EventSubscriber/CacheTagPreloadSubscriber.php Preloads frequently used cache tags.
CacheTagPreloadSubscriber::__construct function core/lib/Drupal/Core/Cache/EventSubscriber/CacheTagPreloadSubscriber.php
CacheTagsChecksumDecorator::registerCacheTagsForPreload function core/modules/system/tests/modules/performance_test/src/Cache/CacheTagsChecksumDecorator.php Register cache tags for preloading.
CacheTagsChecksumPreloadInterface interface core/lib/Drupal/Core/Cache/CacheTagsChecksumPreloadInterface.php Registers cache tags for preloading.
CacheTagsChecksumPreloadInterface.php file core/lib/Drupal/Core/Cache/CacheTagsChecksumPreloadInterface.php
CacheTagsChecksumPreloadInterface::registerCacheTagsForPreload function core/lib/Drupal/Core/Cache/CacheTagsChecksumPreloadInterface.php Register cache tags for preloading.
CacheTagsChecksumTrait::$preloadTags property core/lib/Drupal/Core/Cache/CacheTagsChecksumTrait.php Registered cache tags to preload.

Buggy or inaccurate documentation? Please file an issue. Need support? Need help programming? Connect with the Drupal community.